/****************************************************************************/
/**
* \file basic_definitions.h
*
* \brief Contains all the basic definitions for several projects.
*
* \author   Michael Skutek
* \date	    26.01.2013
* \version  0.1
*
* Platform:    AVR ATmega (tested on ATmega168)
*
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU Lesser General Public License as
* published by the Free Software Foundation, either version 3 of the
* License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this program. If not, see
* <http://www.gnu.org/licenses/>.
*
****************************************************************************/



#ifndef BASIC_DEFINITIONS_H_INCLUDED
#define BASIC_DEFINITIONS_H_INCLUDED




/******************************************
	\internal
	Include files
*******************************************/





/******************************************
	\internal
	Definitions
*******************************************/

//attribute for unused variables and functions to avoid compiler warnings
#define UNUSED(x) (void)x



//locical values
#ifndef TRUE
#define TRUE                             1
#endif
#ifndef FALSE
#define FALSE                            0
#endif



#endif // BASIC_DEFINITIONS_H_INCLUDED
